package com.zd.system.service;

import com.zd.system.domain.SysMajor;

import java.util.List;

/**
 * majorService接口
 *
 * @author zd
 * @date 2021-12-10
 */
public interface ISysMajorService
{
    /**
     * 查询major
     *
     * @param id major主键
     * @return major
     */
    public SysMajor selectSysMajorById(Long id);

    /**
     * 查询major列表
     *
     * @param sysMajor major
     * @return major集合
     */
    public List<SysMajor> selectSysMajorList(SysMajor sysMajor);

    /**
     * 新增major
     *
     * @param sysMajor major
     * @return 结果
     */
    public int insertSysMajor(SysMajor sysMajor);

    /**
     * 修改major
     *
     * @param sysMajor major
     * @return 结果
     */
    public int updateSysMajor(SysMajor sysMajor);

    /**
     * 批量删除major
     *
     * @param ids 需要删除的major主键集合
     * @return 结果
     */
    public int deleteSysMajorByIds(Long[] ids);

    /**
     * 删除major信息
     *
     * @param id major主键
     * @return 结果
     */
    public int deleteSysMajorById(Long id);

    /**
     * 根据权限查询
     * @param sysMajor
     * @return
     */
    public List<SysMajor> selectSysMajorListPower(SysMajor sysMajor);
}
